Bug 91922 - RFE: add support for GSM/UMTS cards
Summary: RFE: add support for GSM/UMTS cards
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 87718
TreeView+ depends on / blocked
 
Reported: 2003-05-29 20:36 UTC by Patrick C. F. Ernzer
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 11:05:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2003-05-29 20:36:09 UTC
Option (http://www.option.com/) sells a rather popular PCMCIA card that allows
connection to GSM and GPRS networks. It would be nice if redhat-config-network
had support for this card. redhat-config-network-1.2.0-2 does not.
                                                                               
                                
This card gets re-labelled by a lot of providers, e.g. Vodafone sells it as
"Vodafone Mobile Connect Card".
                                                                               
                                
An FAQ is available at <http://www.option.com/support/linux_general_setup.shtml>.
                                                                               
                                
redhat-config-network would have to provide the following functionality:
                                                                               
                                
- show selected network (query via 'AT_OSBM?') and ability to change (see FAQ
for values)
- ask for PIN (with ability to say 'no PIN'), submit to card as AT+CPIN="xxxx".
Report back OK or ERROR.
- ability to select APN from a drop down list plus text entry filed in case own
APN is not in existing list. [1]- optionally, the modem lights taskbar thingie
sets 'AT+CREG=1' and displays the value as an icon (see FAQ for values) and it
does not even need polling.
- definitely use the result of 'AT+CREG?' to determine if line can be brought up.
                                                                               
                                
notes:
                                                                               
                                
- AT command set at <http://www.option.com/support/4_2_downloads.shtml>
Microsoft Office Document, yuck, but it does open in OpenOffice, we could
support a lot more with this card ;-)
- my "Vodafone Mobile Connect Card" reports "CONNECT 57600" even though I set
minicom to use 115200 while testing.
- the PIN can only be entered once, if the PIN has already been successfully
entered, giving it again yields 'ERROR'
- no luck in using redhat-config-network-1.2.0-2 GUI to configure card. A
working, hand made, setup is below
- must set PEERDNS=no in /etc/sysconfig/network-scripts/ifcfg-ppp<n>, otherwise
it fails with "Received bad configure-nak/rej:  81 06 00 00 00 00 02 06 00 2d 0f
01 81 06 00 00 00 00"
  which is really weird because MacOSX gets the DNS just fine.
- a working config follows (DNS1 and 2 included for reference, extracted by MacOSX)
  n.b. this presumes 'AT+CPIN="xxxx"' and 'AT+CGDCONT=1' have been entered and
the card not removed since)
  plus latency sucks, no real point in trying anything interactive like ssh
# cat /etc/sysconfig/network-scripts/ifcfg-ppp2
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
USERCTL=yes
PEERDNS=no
DNS1=139.7.30.125
DNS2=139.7.30.126
MODEMPORT=/dev/ttyS3
LINESPEED=115200
HARDFLOWCTL=yes
DEVICE=ppp2
                                                                               
                                
# cat /etc/sysconfig/network-scripts/chat-ppp2
'ABORT' 'BUSY'
'ABORT' 'ERROR'
'ABORT' 'NO CARRIER'
'ABORT' 'NO DIALTONE'
'ABORT' 'Invalid Login'
'ABORT' 'Login incorrect'
'' 'ATZ'
'OK' 'AT+CGDCONT=1'
'OK' 'AT+CGDCONT=1,,"web.vodafone.de"'
'OK' 'ATD*99***1#'
'CONNECT'
                                                                               
                                
# cat /etc/ppp/peers/ppp2
connect "/usr/sbin/chat -v -f /etc/sysconfig/network-scripts/chat-ppp2"

plus /etc/ppp/pap-secrets must contain an entry for foo like such:
foo     *
(FWIW, TAB, not space between foo and *)
                                                                               
                                
[1] The Vodafone driver CD contains settings for Vodafone Germany (D2), Ireland,
Omnitel and UK, O2. Orange and e-plus should easily provide theirs, I'll hunt
those down once a first version to test is available.

Comment 1 Alan Cox 2004-06-21 15:27:18 UTC
Seconded - GSM is all over the place now


Comment 2 Paul Hardwick 2004-07-05 21:46:33 UTC
I know this card well from other distros' -- the "Received bad 
configure-nak/rej: etc is new to me.

My 2 pence:
You should ensure that PPPD options novj and nobsdcomp are used - 
neither are supported by the ppp firmware of the card.

For other hopefully useful info:
http://www.peck.org.uk/p/Projects/GlobeTrotter/globetrotter.html

I shall be turning my eye to FC2 in the next few days.

Comment 3 Matthew Miller 2005-04-26 16:02:29 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 4 Matthew Miller 2006-07-10 21:18:39 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 Patrick C. F. Ernzer 2006-07-11 07:50:07 UTC
UMTS is becoming more and more mainstream, so we really should support the end
user with a nice clicky GUI frontent.

changing version to fc5 so this does not get forgotten

Comment 6 Till Maas 2007-09-01 13:54:18 UTC
yes please add this.

Comment 8 Patrick C. F. Ernzer 2007-11-13 12:39:50 UTC
small note: control of the card is nowadays done through comgt
so s-c-network will be able to get some bits from that tool.


Note You need to log in before you can comment on or make changes to this bug.